Workspace/Docs/API reference
API reference
The 43 operations of the current contract.
Session
Session operationsbeginSessionSignIn | POST /v1/session-sign-ins | Sign-in flow |
establishSession | POST /v1/sessions | Sign-in flow |
readSession | GET /v1/session | Browser session |
endSession | POST /v1/session/revocation | Sign-in flow |
Activity
Activity operationslistActivity | GET /v1/activity | Person, Browser session |
Source financial resources
Source financial resources operationslistSourceFinancialResources | GET /v1/source-financial-resources | Person, Browser session |
registerSourceFinancialResource | POST /v1/source-financial-resources | Person, Browser session |
readSourceFinancialResource | GET /v1/source-financial-resources/{sourceFinancialResourceId} | Person, Browser session |
Agents
Agents operationslistAgents | GET /v1/agents | Person, Browser session |
registerAgent | POST /v1/agents | Person, Browser session |
readAgent | GET /v1/agents/{agentId} | Person, Browser session |
activateAgent | POST /v1/agents/{agentId}/activation | Person, Browser session |
pauseAgent | POST /v1/agents/{agentId}/pause | Person, Browser session |
revokeAgent | POST /v1/agents/{agentId}/revocation | Person, Browser session |
Policies
Policies operationslistPolicies | GET /v1/policies | Person, Browser session |
createPolicyVersion | POST /v1/policies | Person, Browser session |
readPolicy | GET /v1/policies/{policyId} | Person, Browser session |
activatePolicyVersion | POST /v1/policies/{policyId}/activation | Person, Browser session |
Permissions
Permissions operationslistPermissions | GET /v1/permissions | Person, Browser session |
createPermission | POST /v1/permissions | Person, Browser session |
readPermission | GET /v1/permissions/{permissionId} | Person, Browser session |
revisePermission | POST /v1/permissions/{permissionId}/revisions | Person, Browser session |
activatePermission | POST /v1/permissions/{permissionId}/activation | Person, Browser session |
revokePermission | POST /v1/permissions/{permissionId}/revocation | Person, Browser session |
Authorization
Authorization operationslistAuthorizationRequests | GET /v1/authorization-requests | Person, Browser session |
createAuthorizationRequest | POST /v1/authorization-requests | Agent credential |
readAuthorizationRequest | GET /v1/authorization-requests/{authorizationRequestId} | Person, Browser session, Agent credential |
readAuthorizationReview | GET /v1/authorization-requests/{authorizationRequestId}/review | Person, Browser session |
readOperation | GET /v1/operations/{operationId} | Person, Browser session, Agent credential |
Approvals
Approvals operationsrecordApprovalDecision | POST /v1/approval-decisions | Person, Browser session |
External agents
External agents operationslistExternalAgents | GET /v1/external-agents | Person, Browser session |
registerExternalAgent | POST /v1/external-agents | Person, Browser session |
readExternalAgent | GET /v1/external-agents/{externalAgentId} | Person, Browser session |
createVerificationChallenge | POST /v1/external-agents/{externalAgentId}/verification-challenges | Person, Browser session |
verifyExternalAgent | POST /v1/external-agents/{externalAgentId}/verification-challenges/{verificationChallengeId}/verify | Person, Browser session |
revokeExternalAgentVerification | POST /v1/external-agents/{externalAgentId}/verification-revocations | Person, Browser session |
Pairing
Pairing operationsissuePairingArtifact | POST /v1/pairing-artifacts | Person, Browser session |
createPairingRedemptionChallenge | POST /v1/pairing-redemption-challenges | Integration with proof |
redeemPairingArtifact | POST /v1/pairing-redemptions | Integration with proof |
Credentials
Credentials operationslistAgentCredentials | GET /v1/agent-credentials | Person, Browser session |
readAgentCredential | GET /v1/agent-credentials/{credentialId} | Person, Browser session |
revokeAgentCredential | POST /v1/agent-credentials/{credentialId}/revocation | Person, Browser session |
rotateAgentCredential | POST /v1/agent-credentials/{credentialId}/rotation | Person |